"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const bullmq_1 = require("bullmq");
const utils_1 = require("./utils");
const ioredis_1 = __importDefault(require("ioredis"));
let queue;
async function getQueue() {
    if (!queue) {
        return utils_1.throwYellow("Need connect before");
    }
    await queue.waitUntilReady();
    return queue;
}
exports.getQueue = getQueue;
async function setQueue(name, url, options) {
    queue && (await queue.close());
    const client = new ioredis_1.default(url);
    queue = new bullmq_1.Queue(name, { connection: client, ...options });
    await queue.waitUntilReady();
    return queue;
}
exports.setQueue = setQueue;
